<?php

SugarAutoLoader::load('custom/include/RestService.php');

class NeedToDoRestService extends RestService{

    public function loadApiClassForTargetModule($request) {
        $route = $this->getRouteForTargetModule($request);
        return $this->loadApiClass($route);
    }

    public function getRequestForTargetModule($request)
    {
        if (!isset($this->request)) {
            $this->request = new RestRequest($_SERVER, $request);
        }
        return $this->request;
    }

    public function getRouteForTargetModule($request){
        //SET REQUEST
        $this->request = $this->getRequestForTargetModule($request);

        //SET PLATFORM
        $authenticateUser = $this->authenticateUser();
        $isLoggedIn = $authenticateUser['isLoggedIn'];
        if ($isLoggedIn) {
            if ( isset($_SESSION['platform']) ) {
                $this->platform = $_SESSION['platform'];
            }
        } else {
            if ( !empty($_GET['platform']) ) {
                $this->platform = basename($_GET['platform']);
            }
        }
        $this->validatePlatform($this->platform);
        $this->request->setPlatform($this->platform);

        //CHECK THE ROUTE
        $route = $this->findRoute($this->request);
        if ($route == false) {
            throw new SugarApiExceptionNoMethod('Could not find any route that accepted a path like: '.$this->request->rawPath);
        }

        return $route;
    }
}