({
    extendsFrom: 'CreateView',

    initialize: function(options){
        this._super("initialize", [options]);
    },

    save: function() {
        if(this.getField('target_entity_filter')) {
            this.getField('target_entity_filter').beforeHandleSave();
        }
        if(this.getField('lb_template_arguments')) {
            this.getField('lb_template_arguments').beforeHandleSave();
        }
        if(this.getField('target_entity_parent_list')) {
            this.getField('target_entity_parent_list').beforeHandleSave();
        }
        if(this.getField('notify_users')) {
            this.getField('notify_users').beforeHandleSave();
        }
        this.saveAndClose();
    },

    hasUnsavedChanges: function() {
        var defaults,
            nonDefaultedAttributesChanged,
            defaultedAttributesChanged;

        if (this.resavingAfterMetadataSync) {
            return false;
        }

        defaults = this.model.getDefault() || {};

        var modelAttributes = {};

        _.each(this.model.attributes, function(value, fieldName){
            if(fieldName.match(/^attribute_\d+/ig) || fieldName.match(/^template_attribute_name_\d+/ig)){

            }else if(value !== '' || !_.isUndefined(defaults[fieldName])){
                modelAttributes[fieldName] = value;
            }
        },this);

        nonDefaultedAttributesChanged = !_.isEqual(_.keys(defaults), _.keys(modelAttributes));
        defaultedAttributesChanged = !_.isEmpty(this.model.changedAttributes(defaults));

        // console.info('this.model.changedAttributes(defaults): ', this.model.changedAttributes(defaults));
        // console.info('defaultedAttributesChanged: ', defaultedAttributesChanged);
        // console.info('nonDefaultedAttributesChanged: ', nonDefaultedAttributesChanged);
        // console.info('defaults: ', defaults);
        // console.info('modelAttributes: ', modelAttributes);

        return (this.model.isNew() && (nonDefaultedAttributesChanged || defaultedAttributesChanged));
    },

})
