<?php

$module_name = 'PX_NeedToDoEventTypes';
$viewdefs[$module_name]['base']['view']['record'] = array(
    'buttons' => array(
        array(
            'type' => 'button',
            'name' => 'index_button',
            'label' => 'LBL_INDEX_BUTTON_LABEL',
            'css_class' => 'btn', //btn-primary
            'showOn' => 'view',
            'events' => array(
                'click' => 'button:index_button:click',
            ),
            'acl_action' => 'edit',
        ),
        array(
            'type' => 'button',
            'name' => 'cancel_button',
            'label' => 'LBL_CANCEL_BUTTON_LABEL',
            'css_class' => 'btn-invisible btn-link',
            'showOn' => 'edit',
            'events' => array(
                'click' => 'button:cancel_button:click',
            )
        ),
        array(
            'type' => 'rowaction',
            'event' => 'button:save_button:click',
            'name' => 'save_button',
            'label' => 'LBL_SAVE_BUTTON_LABEL',
            'css_class' => 'btn btn-primary',
            'showOn' => 'edit',
            'acl_action' => 'edit',
        ),
        array(
            'type' => 'actiondropdown',
            'name' => 'main_dropdown',
            'primary' => true,
            'showOn' => 'view',
            'buttons' => array(
                array(
                    'type' => 'rowaction',
                    'event' => 'button:edit_button:click',
                    'name' => 'edit_button',
                    'label' => 'LBL_EDIT_BUTTON_LABEL',
                    'acl_action' => 'edit',
                ),
                array(
                    'type' => 'shareaction',
                    'name' => 'share',
                    'label' => 'LBL_RECORD_SHARE_BUTTON',
                    'acl_action' => 'view',
                ),
                array(
                    'type' => 'pdfaction',
                    'name' => 'download-pdf',
                    'label' => 'LBL_PDF_VIEW',
                    'action' => 'download',
                    'acl_action' => 'view',
                ),
                array(
                    'type' => 'pdfaction',
                    'name' => 'email-pdf',
                    'label' => 'LBL_PDF_EMAIL',
                    'action' => 'email',
                    'acl_action' => 'view',
                ),
                array(
                    'type' => 'divider',
                ),
                array(
                    'type' => 'rowaction',
                    'event' => 'button:find_duplicates_button:click',
                    'name' => 'find_duplicates_button',
                    'label' => 'LBL_DUP_MERGE',
                    'acl_action' => 'edit',
                ),
                array(
                    'type' => 'rowaction',
                    'event' => 'button:duplicate_button:click',
                    'name' => 'duplicate_button',
                    'label' => 'LBL_DUPLICATE_BUTTON_LABEL',
                    'acl_module' => $module_name,
                    'acl_action' => 'create',
                ),
                array(
                    'type' => 'rowaction',
                    'event' => 'button:audit_button:click',
                    'name' => 'audit_button',
                    'label' => 'LNK_VIEW_CHANGE_LOG',
                    'acl_action' => 'view',
                ),
                array(
                    'type' => 'divider',
                ),
                array(
                    'type' => 'rowaction',
                    'event' => 'button:delete_button:click',
                    'name' => 'delete_button',
                    'label' => 'LBL_DELETE_BUTTON_LABEL',
                    'acl_action' => 'delete',
                ),
            ),
        ),
        array(
            'name' => 'sidebar_toggle',
            'type' => 'sidebartoggle',
        ),
    ),
    'panels' => array(
        array(
            'name' => 'panel_header',
            'label' => 'LBL_RECORD_HEADER',
            'header' => true,
            'fields' => array(
                array(
                    'name'          => 'picture',
                    'type'          => 'avatar',
                    'width'         => 42,
                    'height'        => 42,
                    'dismiss_label' => true,
                    'readonly'      => true,
                ),
                'name',
                array(
                    'name' => 'favorite',
                    'label' => 'LBL_FAVORITE',
                    'type' => 'favorite',
                    'readonly' => true,
                    'dismiss_label' => true,
                ),
                array(
                    'name' => 'follow',
                    'label'=> 'LBL_FOLLOW',
                    'type' => 'follow',
                    'readonly' => true,
                    'dismiss_label' => true,
                ),
            ),
        ),
        array(
            'name' => 'panel_body',
            'label' => 'LBL_RECORD_BODY',
            'columns' => 2,
            'labels' => true,
            'labelsOnTop' => true,
            'placeholders' => true,
            'newTab' => true,
            'panelDefault' => 'expanded',
            'fields' => array(
                array(
                    'name' => 'icon',
                    'type' => 'image'
                ),
                'status',
                'target_module',
                array(
                    'name' => 'target_attribute_name',
                    'type' => 'enum',
                    'function' => 'PX_NeedToDoEventTypes::getTargetAttributeList',
                ),
                array(
                    'name' => 'target_entity_filter',
                    'type' => 'filter',
                    'span' => 12
                ),
                array(
                    'name' => 'target_entity_parent_list',
                    'type' => 'parent-relate-list',
                    'span' => 12,
                    'options' => array(
                        'linkLevel1' => array(
                            'placeholder' => 'Link Name',
                            'tooltip' => 'Link Name',
                            'display' => true,
                            'dismiss_label' => true
                        ),
                        'name' => array(
                            'placeholder' => 'System name',
                            'tooltip' => 'System name',
                            'dismiss_label' => true
                        ),
                        'controlGroup' => array(
                            'display' => true
                        )
                    )
                ),
                'lb_template_name',
                array(
                    'name' => 'lb_template_arguments',
                    'type' => 'lb-template-arguments',
                    'options' => array(
                        'label' => array(
                            'placeholder' => 'LBL_TPL_TEMPLATE_KEY',
                            'tooltip' => 'LBL_TPL_TEMPLATE_KEY',
                            'display' => true,
//                            'dismiss_label' => true
                        ),
                        'name' => array(
                            'placeholder' => 'LBL_TPL_FIELD_NAME',
                            'tooltip' => 'LBL_TPL_FIELD_NAME',
//                            'dismiss_label' => true
                        ),
                        'controlGroup' => array(
                            'display' => true
                        )
                    )
                ),
            ),
        ),
        array(
            'name' => 'panel_notification_config',
            'label' => 'LBL_NOTIFICATION_CONFIG',
            'columns' => 2,
            'labels' => true,
            'labelsOnTop' => true,
            'placeholders' => true,
            'newTab' => true,
            'panelDefault' => 'expanded',
            'fields' => array(
                'notify_beforehand',
                array(
                    'name' => 'notify_beforehand_in',
                    'type' => 'horizontal-fieldset',
                    'label' => 'LBL_NOTIFY_BEFOREHAND_IN',
                    'fields' => array(
                        array(
                            'name' => 'notify_beforehand_duration',
                        ),
                        array(
                            'name' => 'notify_beforehand_units',
                        ),
                    )
                ),
//                'notify_if_overdue',
//                '',
                'notify_assigned_user',
                array(
                    'name' => 'notify_users',
                    'type' => 'users-list',
                    'options' => array(
                        'relateField' => array(
                            'placeholder' => 'LBL_TPL_TEMPLATE_KEY',
                            'tooltip' => 'LBL_TPL_TEMPLATE_KEY',
                            'display' => true,
//                            'dismiss_label' => true
                        ),
                        'controlGroup' => array(
                            'display' => true
                        )
                    )
                )
            ),
        ),
        array(
            'name' => 'panel_additional_info',
            'label' => 'LBL_ADDITIONAL_INFO',
            'columns' => 2,
            'labels' => true,
            'labelsOnTop' => true,
            'placeholders' => true,
            'newTab' => true,
            'panelDefault' => 'expanded',
//            'name' => 'panel_hidden',
//            'label' => 'LBL_SHOW_MORE',
//            'hide' => true,
//            'columns' => 2,
//            'labelsOnTop' => true,
//            'placeholders' => true,
            'fields' => array(
                'assigned_user_name',
                'team_name',
                array(
                    'name' => 'tag',
                    'span' => 12,
                ),
                array(
                    'name' => 'description',
                    'span' => 12,
                ),
                array(
                    'name' => 'date_modified_by',
                    'readonly' => true,
                    'inline' => true,
                    'type' => 'fieldset',
                    'label' => 'LBL_DATE_MODIFIED',
                    'fields' => array(
                        array(
                            'name' => 'date_modified',
                        ),
                        array(
                            'type' => 'label',
                            'default_value' => 'LBL_BY',
                        ),
                        array(
                            'name' => 'modified_by_name',
                        ),
                    ),
                ),
                array(
                    'name' => 'date_entered_by',
                    'readonly' => true,
                    'inline' => true,
                    'type' => 'fieldset',
                    'label' => 'LBL_DATE_ENTERED',
                    'fields' => array(
                        array(
                            'name' => 'date_entered',
                        ),
                        array(
                            'type' => 'label',
                            'default_value' => 'LBL_BY',
                        ),
                        array(
                            'name' => 'created_by_name',
                        ),
                    ),
                ),
            ),
        ),
    ),
);
