<?php

$dictionary['PX_NeedToDoEventTypes'] = array(
    'table' => 'px_needtodoeventtypes',
    'audited' => false,
    'activity_enabled' => false,
    'duplicate_merge' => false,
    'fields' => array(
        'target_module' => array(
            'required' => true,
            'name' => 'target_module',
            'vname' => 'LBL_TARGET_MODULE',
            'type' => 'enum',
            'function' => 'PX_NeedToDoEventTypes::getTargetModuleList',
            'len' => '100',
            'massupdate' => false,
            'no_default' => false,
            'comments' => '',
            'help' => '',
            'importable' => 'true',
            'audited' => false,
            'reportable' => true,
            'unified_search' => false,
            'merge_filter' => 'disabled',
            'pii' => false,
            'default' => '',
            'calculated' => false,
            'hideacl' => true,
        ),
        'target_attribute_name' => array(
            'required' => true,
            'name' => 'target_attribute_name',
            'vname' => 'LBL_TARGET_ATTRIBUTE_NAME',
            'type' => 'varchar',
//            'type' => 'enum',
//            'function' => 'PX_NeedToDoEventTypes::getTargetAttributeList',
            'len' => '100',
            'massupdate' => false,
            'no_default' => false,
            'comments' => '',
            'help' => '',
            'importable' => 'true',
            'audited' => false,
            'reportable' => true,
            'unified_search' => false,
            'merge_filter' => 'disabled',
            'pii' => false,
            'default' => '',
            'calculated' => false,
            'hideacl' => true,
        ),
        'target_attribute_type' => array(
            'required' => true,
            'name' => 'target_attribute_type',
            'vname' => 'LBL_TARGET_ATTRIBUTE_TYPE',
            'type' => 'enum',
            'options' => 'px_target_attribute_type_options',
            'len' => '100',
//            'source' => 'non-db',
            'importable' => 'false',
            'massupdate' => false,
            'hideacl' => true,
        ),
        'target_entity_filter' => array(
            'name' => 'target_entity_filter',
            'vname' => 'LBL_TARGET_ENTITY_FILTER',
            'type' => 'longtext',
            'required' => false,
            'reportable' => false,
            'hideacl' => true,
            'massupdate' => false,
        ),
        'target_entity_parent_list' => array(
            'name' => 'target_entity_parent_list',
            'vname' => 'LBL_TARGET_ENTITY_PARENT_LIST',
            'type' => 'longtext',
            'required' => false,
            'reportable' => false,
            'hideacl' => true,
            'massupdate' => false,
        ),
        'last_processed_date' => array(
            'required' => false,
            'name' => 'last_processed_date',
            'vname' => 'LBL_LAST_PROCESSED_DATE',
            'type' => 'datetime',
            'massupdate' => false,
            'no_default' => false,
            'comments' => '',
            'help' => '',
            'importable' => 'false',
            'audited' => false,
            'reportable' => true,
            'unified_search' => false,
            'merge_filter' => 'disabled',
            'pii' => false,
            'default' => '',
            'calculated' => false,
            'comment' => '',
            'enable_range_search' => true,
            'options' => 'date_range_search_dom',
            'duplicate_on_record_copy' => 'no',
            'hideacl' => true,
        ),
        'icon' => array(
            'name' => 'icon',
            'vname' => 'LBL_ICON_FILE',
            'type' => 'longhtml',
            'massupdate' => false,
            'reportable' => false,
            'comment' => 'Icon formatted in base64',
            'width' => '42',
            'height' => '42',
            'border' => '',
            'hideacl' => true,
        ),
        'uploaded_icon_id' => array(
            'name' => 'uploaded_icon_id',
            'importable' => 'false',
            'type' => 'varchar',
            'len' => '255',
            'source' => 'non-db',
            'hideacl' => true,
        ),
        'lb_template_arguments' => array(
            'name' => 'lb_template_arguments',
            'vname' => 'LBL_LB_TEMPLATE_ARGUMENTS',
            'type' => 'longtext',
            'required' => false,
            'reportable' => false,
            'hideacl' => true,
            'massupdate' => false,
        ),
        'notify_if_overdue' => array(
            'name' => 'notify_if_overdue',
            'vname' => 'LBL_NOTIFY_IF_OVERDUE',
            'type' => 'bool',
            'default' => 0,
            'required' => false,
            'reportable' => false,
            'hideacl' => true,
            'massupdate' => false,
        ),
        'notify_beforehand' => array(
            'name' => 'notify_beforehand',
            'vname' => 'LBL_NOTIFY_BEFOREHAND',
            'type' => 'bool',
            'default' => 0,
            'required' => false,
            'reportable' => false,
            'hideacl' => true,
            'massupdate' => false,
        ),
        'notify_beforehand_units' => array(
            'name' => 'notify_beforehand_units',
            'vname' => 'LBL_NOTIFY_BEFOREHAND_UNITS',
            'type' => 'enum',
            'options' => 'px_ntdv_notify_beforehand_units_dom',
            'len' => '30',
            'required' => true,
            'default' => 'Minutes',
            'massupdate' => false,
            'hideacl' => true,
        ),
        'notify_beforehand_duration' => array(
            'name' => 'notify_beforehand_duration',
            'vname' => 'LBL_NOTIFY_BEFOREHAND_DURATION',
            'type' => 'int',
            'required' => true,
            'default' => 1,
            'massupdate' => false,
            'hideacl' => true,
        ),
        'notify_assigned_user' => array(
            'name' => 'notify_assigned_user',
            'vname' => 'LBL_NOTIFY_ASSIGNED_USER',
            'type' => 'bool',
            'default' => 0,
            'required' => false,
            'reportable' => false,
            'hideacl' => true,
            'massupdate' => false,
        ),
        'notify_users' => array(
            'name' => 'notify_users',
            'vname' => 'LBL_NOTIFY_USERS',
            'type' => 'longtext',
            'required' => false,
            'reportable' => false,
            'hideacl' => true,
            'massupdate' => false,
        ),
        'status' => array(
            'name' => 'status',
            'vname' => 'LBL_STATUS',
            'type' => 'enum',
            'options' => 'px_ntdv_event_type_status_dom',
            'len' => '100',
            'massupdate' => true,
            'no_default' => false,
            'comments' => '',
            'help' => '',
            'importable' => 'true',
            'audited' => false,
            'reportable' => true,
            'unified_search' => false,
            'merge_filter' => 'disabled',
            'pii' => false,
            'default' => 'Disabled',
            'calculated' => false,
            'hideacl' => true,
        ),
        'lifetime_units' => array(
            'name' => 'lifetime_units',
            'vname' => 'LBL_LIFETIME_UNITS',
            'type' => 'enum',
            'options' => 'px_ntdv_lifetime_units_dom',
            'len' => '30',
            'required' => true,
            'default' => 'Never',
            'massupdate' => false,
            'hideacl' => true,
        ),
        'lifetime_duration' => array(
            'name' => 'lifetime_duration',
            'vname' => 'LBL_LIFETIME_DURATION',
            'type' => 'int',
            'default' => 0,
            'massupdate' => false,
            'hideacl' => true,
        ),
        'ntdv_events' => array(
            'name' => 'ntdv_events',
            'type' => 'link',
            'relationship' => 'px_needtodoeventtypes_needtodoevents',
            'module' => 'PX_NeedToDoEvents',
            'bean_name' => 'PX_NeedToDoEvents',
            'source' => 'non-db',
            'vname' => 'LBL_EVENTS',
            'massupdate' => false,
            'hideacl' => true,
        )
    ),
    'indices' => array(
        array(
            'name' => 'px_ntdvet_status',
            'type' => 'index',
            'fields' => array(
                'status',
                'deleted',
            ),
        ),
    ),
    'relationships' => array(
        'px_needtodoeventtypes_lb_template' => array(
            'lhs_module' => 'PX_FlowchartTemplates',
            'lhs_table' => 'px_flowcharttemplates',
            'lhs_key' => 'id',
            'rhs_module' => 'PX_NeedToDoEventTypes',
            'rhs_table' => 'px_needtodoeventtypes',
            'rhs_key' => 'lb_template_id',
            'relationship_type' => 'one-to-many',
        ),
    ),
    'optimistic_locking' => true,
    'unified_search' => true,
    'full_text_search' => false,
);

if(class_exists('PX_FlowchartTemplates')){
    $dictionary['PX_NeedToDoEventTypes']['fields']['lb_template'] = array(
        'name' => 'lb_template',
        'type' => 'link',
        'relationship' => 'px_needtodoeventtypes_lb_template',
        'link_type' => 'one',
        'side' => 'right',
        'source' => 'non-db',
        'vname' => 'LBL_LB_TEMPLATE',
    );
    $dictionary['PX_NeedToDoEventTypes']['fields']['lb_template_id'] = array(
        'name' => 'lb_template_id',
        'type' => 'relate',
        'dbType' => 'id',
        'rname' => 'id',
        'module' => 'PX_FlowchartTemplates',
        'id_name' => 'lb_template_id',
        'reportable' => false,
        'vname' => 'LBL_LB_TEMPLATE_ID',
        'audited' => true,
        'massupdate' => false,
        'comment' => '',
    );
    $dictionary['PX_NeedToDoEventTypes']['fields']['lb_template_name'] = array(
        'name' => 'lb_template_name',
        'rname' => 'name',
        'id_name' => 'lb_template_id',
        'vname' => 'LBL_LB_TEMPLATE_NAME',
        'type' => 'relate',
        'link' => 'lb_template',
        'table' => 'px_flowcharttemplates',
        'join_name' => 'px_flowcharttemplates',
        'isnull' => 'true',
        'module' => 'PX_FlowchartTemplates',
        'dbType' => 'varchar',
        'len' => 100,
        'source' => 'non-db',
        'unified_search' => true,
        'comment' => '',
        'required' => false,
        'exportable' => true,
        'massupdate' => false,
    );
}else{
    $dictionary['PX_NeedToDoEventTypes']['fields']['lb_template_name'] = array(
        'name' => 'lb_template_name',
        'vname' => 'LBL_LB_TEMPLATE_NAME',
        'type' => 'lb-missing-product-stub',
        'source' => 'non-db',
        'readonly' => true,
    );
    $dictionary['PX_NeedToDoEventTypes']['fields']['lb_template_id'] = array(
        'name' => 'lb_template_id',
        'vname' => 'LBL_LB_TEMPLATE_ID',
        'type' => 'id',
        'massupdate' => false,
    );
}

if(class_exists('PX_QuickActions')){
    $dictionary['PX_NeedToDoEventTypes']['fields']['quick_actions'] = array(
        'name' => 'quick_actions',
        'type' => 'link',
        'relationship' => 'px_needtodoeventtypes_quickactions',
        'module' => 'PX_QuickActions',
        'bean_name' => 'px_quickactions',
        'source' => 'non-db',
        'vname' => 'LBL_QUICK_ACTIONS',
    );
    $dictionary['PX_NeedToDoEventTypes']['relationships']['px_needtodoeventtypes_quickactions'] = array(
        'lhs_module' => 'PX_NeedToDoEventTypes',
        'lhs_table' => 'px_needtodoeventtypes',
        'lhs_key' => 'id',
        'rhs_module' => 'PX_QuickActions',
        'rhs_table' => 'px_quickactions',
        'rhs_key' => 'parent_id',
        'relationship_type' => 'one-to-many',
        'relationship_role_column' => 'parent_type',
        'relationship_role_column_value' => 'PX_NeedToDoEventTypes'
    );
}

if (class_exists('VardefManager')) {
    VardefManager::createVardef('PX_NeedToDoEventTypes', 'PX_NeedToDoEventTypes', array('basic', 'team_security', 'assignable', 'taggable'));
}

$dictionary['PX_NeedToDoEventTypes']['acls']['SugarACLPxNeedToDoViewer'] = true;
