<?php

$dictionary['PX_NeedToDoRelates'] = array(
    'table' => 'px_ntdv_parents',
    'audited' => false,
    'activity_enabled' => false,
    'duplicate_merge' => false,
    'fields' => array(
        'event' => array(
            'name' => 'event',
            'type' => 'link',
            'relationship' => 'px_needtodoevents_relates',
            'source' => 'non-db',
            'side' => 'right',
            'vname' => 'LBL_EVENT',
        ),
        'event_id' => array(
            'required' => false,
            'name' => 'event_id',
            'vname' => 'LBL_EVENT_ID',
            'type' => 'id',
            'massupdate' => 0,
            'no_default' => false,
            'comments' => '',
            'help' => '',
            'importable' => 'true',
            'duplicate_merge' => 'disabled',
            'duplicate_merge_dom_value' => 0,
            'audited' => false,
            'reportable' => false,
            'unified_search' => false,
            'merge_filter' => 'disabled',
            'calculated' => false,
            'len' => 36,
            'size' => '20',
        ),
        'event_name' => array(
            'required' => false,
            'source' => 'non-db',
            'name' => 'event_name',
            'vname' => 'LBL_EVENT_NAME',
            'type' => 'relate',
            'massupdate' => 0,
            'no_default' => false,
            'comments' => '',
            'help' => '',
            'importable' => 'true',
            'duplicate_merge' => 'disabled',
            'duplicate_merge_dom_value' => '0',
            'audited' => true,
            'reportable' => true,
            'unified_search' => false,
            'merge_filter' => 'disabled',
            'calculated' => false,
            'len' => '255',
            'size' => '20',
            'link' => 'event',
            'id_name' => 'event_id',
            'module' => 'PX_NeedToDoEvents',
            'rname' => 'name',
            'quicksearch' => 'enabled',
            'studio' => 'visible',
            'readonly' => false,
        ),
        'parent_type' => array(
            'name' => 'parent_type',
            'type' => 'varchar',
            'vname' => 'LBL_PARENT_TYPE',
            'len' => 255,
        ),
        'parent_id' => array(
            'name' => 'parent_id',
            'vname' => 'LBL_PARENT_ID',
            'type' => 'id',
        ),
        'relate_type' => array(
            'name' => 'relate_type',
            'vname' => 'LBL_RELATE_TYPE',
            'type' => 'enum',
            'options' => 'px_ntdv_relates_type_options',
            'default' => 'Target'
        ),
        'link_name' => array(
            'name' => 'link_name',
            'type' => 'varchar',
            'vname' => 'LBL_LINK_NAME',
            'len' => 100,
        ),
        'link_label' => array(
            'name' => 'link_label',
            'type' => 'varchar',
            'vname' => 'LBL_LINK_LABEL',
            'len' => 100,
        ),
    ),
    'indices' => array(
        array(
            'name' => 'px_ntdvp_parent_type_event_id',
            'type' => 'index',
            'fields' => array(
                'parent_type',
                'deleted',
                'event_id'
            ),
        ),
        array(
            'name' => 'px_ntdvp_event_id_parent',
            'type' => 'index',
            'fields' => array(
                'event_id',
                'parent_type',
                'parent_id'
            ),
        ),
        array(
            'name' => 'px_ntdvp_event_id',
            'type' => 'index',
            'fields' => array(
                'event_id',
                'deleted'
            ),
        ),
        array(
            'name' => 'px_ntdvp_parent_id',
            'type' => 'index',
            'fields' => array(
                'parent_id',
                'deleted'
            ),
        ),
        array(
            'name' => 'px_ntdvp_parent',
            'type' => 'index',
            'fields' => array(
                'parent_id',
                'parent_type',
                'deleted'
            ),
        ),
    ),
    'relationships' => array(
        'px_needtodoevents_relates' => array(
            'lhs_module' => 'PX_NeedToDoEvents',
            'lhs_table' => 'px_needtodoevents',
            'lhs_key' => 'id',
            'rhs_module' => 'PX_NeedToDoRelates',
            'rhs_table' => 'px_ntdv_parents',
            'rhs_key' => 'event_id',
            'relationship_type' => 'one-to-many',
        ),
    ),
    'optimistic_locking' => true,
    'unified_search' => true,
    'ignore_templates' => array(
        'taggable',
        'lockable_fields',
    ),
);

if (!class_exists('VardefManager')) {
    require_once 'include/SugarObjects/VardefManager.php';
}
VardefManager::createVardef('PX_NeedToDoRelates', 'PX_NeedToDoRelates', array('basic'));