<?php

$dictionary['PX_NeedToDoViewerComments'] = array(
    'table' => 'px_needtodoviewercomments',
    'audited' => false,
    'activity_enabled' => false,
    'duplicate_merge' => false,
    'fields' => array(
        'name' => array(
            'name' => 'name',
            'type' => 'varchar',
            'vname' => 'LBL_NAME',
            'required' => true,
        ),
        'description' => array(
            'name' => 'description',
            'type' => 'varchar',
            'vname' => 'LBL_DESCRIPTION',
            'required' => false,
            'source' => 'non-db',
        ),
        'parent_type' => array(
            'name' => 'parent_type',
            'type' => 'varchar',
            'len' => 100,
            'vname' => 'LBL_PARENT_TYPE',
            'required' => true,
            'reportable' => false,
        ),
        'parent_id' => array(
            'name' => 'parent_id',
            'type' => 'id',
            'len' => 36,
            'vname' => 'LBL_PARENT_ID',
            'required' => true,
            'reportable' => false,
        ),
        'need_to_do_event' => array(
            'name' => 'need_to_do_event',
            'type' => 'link',
            'vname' => 'LBL_NEED_TO_DO_EVENT',
            'relationship' => 'px_needtodoevents_comments',
            'source' => 'non-db',
            'side' => 'right',
            'link_type' => 'one',
            'module' => 'PX_NeedToDoEvents',
            'bean_name' => 'PX_NeedToDoEvents',
            'reportable' => false,
        ),
        'replies' => array(
            'name' => 'replies',
            'type' => 'link',
            'vname' => 'LBL_REPLIES',
            'relationship' => 'px_needtodoviewercomments_comments',
            'source' => 'non-db',
            'side' => 'right',
            'link_type' => 'one',
            'module' => 'PX_NeedToDoViewerComments',
            'bean_name' => 'PX_NeedToDoViewerComments',
            'reportable' => false,
        ),
        'data' => array(
            'name' => 'data',
            'type' => 'json',
            'vname' => 'LBL_DATA',
            'dbType' => 'longtext',
            'required' => true,
            'reportable' => false,
        ),
        'comment_count' => array(
            'name' => 'comment_count',
            'type' => 'int',
            'vname' => 'LBL_COMMENT_COUNT',
            'required' => true,
            'default' => 0,
            'reportable' => false,
        ),
        'last_comment' => array(
            'name' => 'last_comment',
            'type' => 'json',
            'vname' => 'LBL_LAST_COMMENT',
            'dbType' => 'longtext',
            'required' => true,
            'reportable' => false,
        ),
        'comments' => array(
            'name' => 'comments',
            'type' => 'link',
            'vname' => 'LBL_COMMENTS',
            'relationship' => 'px_needtodoviewercomments_comments',
            'link_type' => 'many',
            'module' => 'PX_NeedToDoViewerComments',
            'bean_name' => 'PX_NeedToDoViewerComments',
            'source' => 'non-db',
            'reportable' => false,
        ),
        'comments_users' => array(
            'name' => 'comments_users',
            'type' => 'link',
            'relationship' => 'px_needtodo_comments_users',
            'link_type' => 'many',
            'module' => 'Users',
            'bean_name' => 'User',
            'source' => 'non-db',
        ),
        'dialog_users' => array(
            'name' => 'dialog_users',
            'type' => 'link',
            'relationship' => 'px_needtodo_dialog_users',
            'link_type' => 'many',
            'module' => 'Users',
            'bean_name' => 'User',
            'source' => 'non-db',
        ),
        'participant_id' => array(
            'name' => 'participant_id',
            'vname' => 'LBL_PARTICIPANTS_FILTER',
            'type' => 'id',
            'len' => 36,
            'source' => 'non-db',
        ),
        'mentioned_id' => array(
            'name' => 'mentioned_id',
            'vname' => 'LBL_MENTIONED_FILTER',
            'type' => 'id',
            'len' => 36,
            'source' => 'non-db',
        ),
        'has_new_messages_id' => array(
            'name' => 'has_new_messages_id',
            'vname' => 'LBL_HAS_NEW_MESSAGES',
            'type' => 'id',
            'len' => 36,
            'source' => 'non-db',
        ),
        'is_subscribed_to_id' => array(
            'name' => 'is_subscribed_to_id',
            'vname' => 'LBL_IS_SUBSCRIBED_TO',
            'type' => 'id',
            'len' => 36,
            'source' => 'non-db',
        ),
        'is_relevant_to_id' => array(
            'name' => 'is_relevant_to_id',
            'vname' => 'LBL_IS_RELEVANT_TO',
            'type' => 'id',
            'len' => 36,
            'source' => 'non-db',
        ),
        'filter_target_module' => array(
            'name' => 'filter_target_module',
            'vname' => 'LBL_FILTER_TARGET_MODULE',
            'type' => 'enum',
            'function' => 'PX_NeedToDoEventTypes::getTargetModuleList',
            'source' => 'non-db',
            'reportable' => false,
            'massupdate' => 0,
        ),
        'filter_object_module' => array(
            'name' => 'filter_object_module',
            'vname' => 'LBL_FILTER_OBJECT_MODULE',
            'type' => 'enum',
            'function' => 'PX_NeedToDoEventTypes::getTargetModuleList',
            'source' => 'non-db',
            'reportable' => false,
            'massupdate' => 0,
        ),
        'filter_needtodoevent_type_id' => array(
            'name' => 'filter_needtodoevent_type_id',
            'vname' => 'LBL_FILTER_FILTER_NEEDTODOEVENT_TYPE_ID',
            'type' => 'id',
            'len' => 36,
            'source' => 'non-db',
        ),
    ),
    'indices' => array(),
    'relationships' => array(
        'px_needtodoviewercomments_comments' => array(
            'lhs_module' => 'PX_NeedToDoViewerComments',
            'lhs_table' => 'px_needtodoviewercomments',
            'lhs_key' => 'id',
            'rhs_module' => 'PX_NeedToDoViewerComments',
            'rhs_table' => 'px_needtodoviewercomments',
            'rhs_key' => 'parent_id',
            'relationship_type' => 'one-to-many',
        ),
    ),
    'optimistic_locking' => true,
    'unified_search' => true,
    'ignore_templates' => array(
        'taggable',
        'lockable_fields',
    ),
);

if (!class_exists('VardefManager')) {
    require_once 'include/SugarObjects/VardefManager.php';
}
VardefManager::createVardef('PX_NeedToDoViewerComments', 'PX_NeedToDoViewerComments', array('basic'));

$dictionary['PX_NeedToDoViewerComments']['acls']['SugarACLPxNeedToDoViewer'] = true;
$dictionary['PX_NeedToDoViewerComments']['visibility']['PxNeedToDoLicenseVisibility'] = true;